<?php
/**
 * Plugin Name: Dynosend
 * Description: Integrate Dynosend's web form with your WordPress site.
 * Version: 1.0
 * Author: Dynosend
 * License: GPL2
 */

if (!defined('ABSPATH')) {
    exit;
}


define('DYNOSEND_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('DYNOSEND_PLUGIN_URL', plugin_dir_url(__FILE__));

require_once DYNOSEND_PLUGIN_DIR . 'includes/settings.php';
require_once DYNOSEND_PLUGIN_DIR . 'includes/api.php';
require_once DYNOSEND_PLUGIN_DIR . 'includes/shortcodes.php';
require_once DYNOSEND_PLUGIN_DIR . 'includes/hooks.php';
require_once DYNOSEND_PLUGIN_DIR . 'includes/elementor-widget.php';
require_once DYNOSEND_PLUGIN_DIR . 'includes/comments.php';

add_action('admin_menu', 'dynosend_add_admin_menu');

add_action('wp_footer', 'dynosend_add_footer_script');



