<?php

use Elementor\Plugin;

if ( ! defined( 'ABSPATH' ) ) {
    exit; 
}


add_action('elementor/widgets/widgets_registered', function () {
    error_log('Elementor widgets_registered hook triggered.');

    if (class_exists('\Elementor\Widget_Base')) {
        require_once plugin_dir_path(__FILE__) . 'class-dynosend-elementor-widget.php';
        
        // Register widget
        \Elementor\Plugin::$instance->widgets_manager->register_widget_type(new \Dynosend_Elementor_Widget());
		
        error_log('Widget Registered Successfully');
    } else {
        error_log('Elementor Widget_Base class not found.');
    }
}, 10);
