<?php

function dynosend_webform_shortcode($atts) {
	$authenticated =  get_option('dynosend_authenticated', false);
	if (!$authenticated)
	{
		return;
	}
	
	$hiddenforms = get_option('dynosend_hide_webforms', false);
	if ($hiddenforms)
	{
		if (isset($_GET['elementor-preview']) || (isset($_GET['action']) && $_GET['action'] === "elementor")) {
			echo $output = '<p style="color: red;">Web forms are hidden in plugin settings (this alert only shows in preview).</p>';
		}
		return;
	}
		
		
    $atts = shortcode_atts([
        'form_id' => '',
        'width' => '',
        'height' => '',
    ], $atts);

    $output = '<div id="dysnd-form" data-form-id="' . esc_attr($atts['form_id']) . '" style="width:' . esc_attr($atts['width']) . '; height:' . esc_attr($atts['height']) . ';"></div>';


    if (isset($_GET['elementor-preview']) || (isset($_GET['action']) && $_GET['action'] === "elementor")) {
        $output = '<script src="https://rl-prod.dynosend.com/static/form.js"></script>';
    }

    return $output;
}
add_shortcode('dynosend_form', 'dynosend_webform_shortcode');
